メインコンテンツへ移動
Nowledge MemNowledge Mem

ライブプレビュー隣接ノードの取得

GET
/graph/live-preview/{node_id}

フィード/ライブプレビュー画面用のコンパクトな1ホップ近傍を取得します。

expand_neighborsとは異なり、このパスは意図的にパスの実体化を避け、直接隣接する行と接続エッジのみを返します。

パスパラメータ

node_id*ノードID

クエリパラメータ

limit?上限

返す直接隣接ノードの最大数

Range1 <= value <= 50
Default20
include_metadata?メタデータを含める

結果にメタデータを含める

Defaulttrue
space_id?|

グラフ用の任意のメモリスペースレンズ

レスポンスボディ

application/json

application/json

curl -X GET "https://example.com/graph/live-preview/string"
{  "center_node": "string",  "depth": 0,  "neighbors": [    null  ],  "edges": [    null  ],  "total_neighbors": 0,  "total_edges": 0,  "metadata": {    "expansion_depth": 0,    "max_limit": 0,    "include_metadata": true,    "query_type": "string",    "error": "string"  }}